--- title: "Download Malware File" slug: "download-malware-file-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/download-malware-file-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Download Malware File This URL downloads the malware file as Base64 encoded ByteStream. ### Resource URL GET /malwarearchive/download/ ### Request Parameters Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `filehash` | Hash value of the filename | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `byteStream` | Base64 encoded byte stream of the malware file | String | ### Example **Request** GET [https:///sdkapi/malwarearchive/download/0bea3f79a36b1f67b2ce0f595524c77c](https://<NSM_IP>/sdkapi/malwarearchive/download/0bea3f79a36b1f67b2ce0f595524c77c) **Response** ``` { "byteStream": "TVqOAQEAAAAEAAAA//8AALgAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAA4fug4AtAnNIbgBTM0hVGhpcyBwcm9ncmFtIHJlcXVpcmVzIE1pY3Jvc29mdCBXaW5kb3dzLg0KJAAAAAAAAABORQU8JgEtAAAAAAABgwMAABQAALIWAgAAAAAAAwADAE8AQABYAOwADQETAdMBAAAHAAQAAAACCCQAdhYAAAoDJgBiyVAdYsnoDNtQUB3bUAISKElxDShJBAAFgAQAAAAAAJoWCAAwHGWAAAAAAKIWGg” } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 400 | 3401 | Invalid file hash value |